> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set FCM Settings

> Update settings related to FCM.



## OpenAPI

````yaml post /v1/entities/{entity_id}/futures/settings
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/settings:
    post:
      tags:
        - Futures
      summary: Set FCM Settings
      description: Update settings related to FCM.
      operationId: PrimeRESTAPI_SetFcmSettings
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                target_derivatives_excess:
                  type: string
                  description: >-
                    Target CFM Excess amount to set. Only non-negative number is
                    allowed
                  example: '1000.00'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.SetFcmSettingsResponse
components:
  schemas:
    coinbase.public_rest_api.SetFcmSettingsResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: true

````